#

Name:           vorta
Version:        0.8.7
Release:        %mkrel 1
Summary:        Desktop Backup Client based on BorgBackup
License:        GPL-3.0-only
Group:          Archiving/Backup
Url:            https://github.com/borgbase/vorta
Source:         https://github.com/borgbase/%{name}/archive/vorta-%{version}.tar.xz
Source1:        vorta.desktop
BuildArch:      noarch
Requires:  python3-appdirs
Requires:  python3-paramiko 
Requires:  python3-qt5  
Requires:  python3-peewee  
Requires:  python3-dateutil 
Requires:  python3-APScheduler 
Requires:  python3-psutil  
Requires:  python3-qdarkstyle
Requires:  python3-secretstorage 
Requires:  python3-bcrypt
Requires:  python3-cryptography  
Requires:  python3-pynacl  
Requires:  python3-pyasn1
Requires:  python3-six
Requires:  python3-setuptools 
Requires:  python3-pytz 
Requires:  python3-tzlocal 
Requires:  python3-cffi 
Requires:  python3-idna
Requires:  python3-asn1crypto
Requires:  python3-pycparser
Requires:  python3-keyring
Requires:  borgbackup

%description
Vorta is a backup client for Linux desktops. It integrates BorgBackup with
the desktop environment to protect data from disk failure,
ransomware and theft.

%prep
%setup -q
%apply_patches

%build
export LANG=en_US.UTF-8
%py3_build

%install
export LANG=en_US.UTF-8
%py3_install

install -d %{buildroot}%{_datadir}/applications
install -m644 %SOURCE1 %{buildroot}%{_datadir}/applications/vorta.desktop

install -d %{buildroot}%{_datadir}/icons/hicolor/256x256/apps
install -m644 src/vorta/assets/icons/hdd-o-active.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/vorta.png

%files
%doc LICENSE.txt
%doc README.md
%{_bindir}/vorta
%{_datadir}/applications/vorta.desktop
%{_datadir}/icons/hicolor/*/apps/vorta.png
%{python3_sitelib}

%changelog
* Wed Oct 12 2022 TerryN <terryn94 at gmail.com>  0.8.7-1pclos2022
- update and rebuild for python 3.10

* Thu Dec 26 2019 tex - 0.6.23-1pclos2020
- new version

* Wed Apr 24 2019 tex 0.6.19-1pclos2019
- new

* Sat Mar 30 2019 tex 0.6.10-2pclos2019
- add python3-keyring dep

* Sat Mar 30 2019 tex 0.6.10-1pclos2019
- new
